Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 125)
+++ lemon/bits/graph_extender.h	(revision 209)
@@ -1,5 +1,5 @@
-/* -*- C++ -*-
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
  *
- * This file is a part of LEMON, a generic C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
  * Copyright (C) 2003-2008
@@ -67,9 +67,9 @@
     Node oppositeNode(const Node &node, const Arc &arc) const {
       if (node == Parent::source(arc))
-	return Parent::target(arc);
+        return Parent::target(arc);
       else if(node == Parent::target(arc))
-	return Parent::source(arc);
+        return Parent::source(arc);
       else
-	return INVALID;
+        return INVALID;
     }
 
@@ -90,10 +90,10 @@
       return node_notifier;
     }
-    
+
     ArcNotifier& notifier(Arc) const {
       return arc_notifier;
     }
 
-    class NodeIt : public Node { 
+    class NodeIt : public Node {
       const Digraph* _digraph;
     public:
@@ -104,19 +104,19 @@
 
       explicit NodeIt(const Digraph& digraph) : _digraph(&digraph) {
-	_digraph->first(static_cast<Node&>(*this));
-      }
-
-      NodeIt(const Digraph& digraph, const Node& node) 
-	: Node(node), _digraph(&digraph) {}
-
-      NodeIt& operator++() { 
-	_digraph->next(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class ArcIt : public Arc { 
+        _digraph->first(static_cast<Node&>(*this));
+      }
+
+      NodeIt(const Digraph& digraph, const Node& node)
+        : Node(node), _digraph(&digraph) {}
+
+      NodeIt& operator++() {
+        _digraph->next(*this);
+        return *this;
+      }
+
+    };
+
+
+    class ArcIt : public Arc {
       const Digraph* _digraph;
     public:
@@ -127,19 +127,19 @@
 
       explicit ArcIt(const Digraph& digraph) : _digraph(&digraph) {
-	_digraph->first(static_cast<Arc&>(*this));
-      }
-
-      ArcIt(const Digraph& digraph, const Arc& arc) : 
-	Arc(arc), _digraph(&digraph) { }
-
-      ArcIt& operator++() { 
-	_digraph->next(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class OutArcIt : public Arc { 
+        _digraph->first(static_cast<Arc&>(*this));
+      }
+
+      ArcIt(const Digraph& digraph, const Arc& arc) :
+        Arc(arc), _digraph(&digraph) { }
+
+      ArcIt& operator++() {
+        _digraph->next(*this);
+        return *this;
+      }
+
+    };
+
+
+    class OutArcIt : public Arc {
       const Digraph* _digraph;
     public:
@@ -149,21 +149,21 @@
       OutArcIt(Invalid i) : Arc(i) { }
 
-      OutArcIt(const Digraph& digraph, const Node& node) 
-	: _digraph(&digraph) {
-	_digraph->firstOut(*this, node);
-      }
-
-      OutArcIt(const Digraph& digraph, const Arc& arc) 
-	: Arc(arc), _digraph(&digraph) {}
-
-      OutArcIt& operator++() { 
-	_digraph->nextOut(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class InArcIt : public Arc { 
+      OutArcIt(const Digraph& digraph, const Node& node)
+        : _digraph(&digraph) {
+        _digraph->firstOut(*this, node);
+      }
+
+      OutArcIt(const Digraph& digraph, const Arc& arc)
+        : Arc(arc), _digraph(&digraph) {}
+
+      OutArcIt& operator++() {
+        _digraph->nextOut(*this);
+        return *this;
+      }
+
+    };
+
+
+    class InArcIt : public Arc {
       const Digraph* _digraph;
     public:
@@ -173,15 +173,15 @@
       InArcIt(Invalid i) : Arc(i) { }
 
-      InArcIt(const Digraph& digraph, const Node& node) 
-	: _digraph(&digraph) {
-	_digraph->firstIn(*this, node);
-      }
-
-      InArcIt(const Digraph& digraph, const Arc& arc) : 
-	Arc(arc), _digraph(&digraph) {}
-
-      InArcIt& operator++() { 
-	_digraph->nextIn(*this);
-	return *this; 
+      InArcIt(const Digraph& digraph, const Node& node)
+        : _digraph(&digraph) {
+        _digraph->firstIn(*this, node);
+      }
+
+      InArcIt(const Digraph& digraph, const Arc& arc) :
+        Arc(arc), _digraph(&digraph) {}
+
+      InArcIt& operator++() {
+        _digraph->nextIn(*this);
+        return *this;
       }
 
@@ -216,7 +216,7 @@
     }
 
-    
+
     template <typename _Value>
-    class NodeMap 
+    class NodeMap
       : public MapExtender<DefaultMap<Digraph, Node, _Value> > {
     public:
@@ -224,11 +224,11 @@
       typedef MapExtender<DefaultMap<Digraph, Node, _Value> > Parent;
 
-      explicit NodeMap(const Digraph& digraph) 
-	: Parent(digraph) {}
-      NodeMap(const Digraph& digraph, const _Value& value) 
-	: Parent(digraph, value) {}
+      explicit NodeMap(const Digraph& digraph)
+        : Parent(digraph) {}
+      NodeMap(const Digraph& digraph, const _Value& value)
+        : Parent(digraph, value) {}
 
       NodeMap& operator=(const NodeMap& cmap) {
-	return operator=<NodeMap>(cmap);
+        return operator=<NodeMap>(cmap);
       }
 
@@ -236,5 +236,5 @@
       NodeMap& operator=(const CMap& cmap) {
         Parent::operator=(cmap);
-	return *this;
+        return *this;
       }
 
@@ -242,5 +242,5 @@
 
     template <typename _Value>
-    class ArcMap 
+    class ArcMap
       : public MapExtender<DefaultMap<Digraph, Arc, _Value> > {
     public:
@@ -248,11 +248,11 @@
       typedef MapExtender<DefaultMap<Digraph, Arc, _Value> > Parent;
 
-      explicit ArcMap(const Digraph& digraph) 
-	: Parent(digraph) {}
-      ArcMap(const Digraph& digraph, const _Value& value) 
-	: Parent(digraph, value) {}
+      explicit ArcMap(const Digraph& digraph)
+        : Parent(digraph) {}
+      ArcMap(const Digraph& digraph, const _Value& value)
+        : Parent(digraph, value) {}
 
       ArcMap& operator=(const ArcMap& cmap) {
-	return operator=<ArcMap>(cmap);
+        return operator=<ArcMap>(cmap);
       }
 
@@ -260,5 +260,5 @@
       ArcMap& operator=(const CMap& cmap) {
         Parent::operator=(cmap);
-	return *this;
+        return *this;
       }
     };
@@ -270,5 +270,5 @@
       return node;
     }
-    
+
     Arc addArc(const Node& from, const Node& to) {
       Arc arc = Parent::addArc(from, to);
@@ -294,12 +294,12 @@
       Parent::firstOut(arc, node);
       while (arc != INVALID ) {
-	erase(arc);
-	Parent::firstOut(arc, node);
-      } 
+        erase(arc);
+        Parent::firstOut(arc, node);
+      }
 
       Parent::firstIn(arc, node);
       while (arc != INVALID ) {
-	erase(arc);
-	Parent::firstIn(arc, node);
+        erase(arc);
+        Parent::firstIn(arc, node);
       }
 
@@ -307,5 +307,5 @@
       Parent::erase(node);
     }
-    
+
     void erase(const Arc& arc) {
       notifier(Arc()).erase(arc);
@@ -316,6 +316,6 @@
       node_notifier.setContainer(*this);
       arc_notifier.setContainer(*this);
-    } 
-    
+    }
+
 
     ~DigraphExtender() {
@@ -328,8 +328,8 @@
   ///
   /// \brief Extender for the Graphs
-  template <typename Base> 
+  template <typename Base>
   class GraphExtender : public Base {
   public:
-    
+
     typedef Base Parent;
     typedef GraphExtender Graph;
@@ -341,5 +341,5 @@
     typedef typename Parent::Edge Edge;
 
-    // Graph extension    
+    // Graph extension
 
     int maxId(Node) const {
@@ -369,9 +369,9 @@
     Node oppositeNode(const Node &n, const Edge &e) const {
       if( n == Parent::u(e))
-	return Parent::v(e);
+        return Parent::v(e);
       else if( n == Parent::v(e))
-	return Parent::u(e);
+        return Parent::u(e);
       else
-	return INVALID;
+        return INVALID;
     }
 
@@ -403,5 +403,5 @@
       return node_notifier;
     }
-    
+
     ArcNotifier& notifier(Arc) const {
       return arc_notifier;
@@ -414,5 +414,5 @@
 
 
-    class NodeIt : public Node { 
+    class NodeIt : public Node {
       const Graph* _graph;
     public:
@@ -423,19 +423,19 @@
 
       explicit NodeIt(const Graph& graph) : _graph(&graph) {
-	_graph->first(static_cast<Node&>(*this));
-      }
-
-      NodeIt(const Graph& graph, const Node& node) 
-	: Node(node), _graph(&graph) {}
-
-      NodeIt& operator++() { 
-	_graph->next(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class ArcIt : public Arc { 
+        _graph->first(static_cast<Node&>(*this));
+      }
+
+      NodeIt(const Graph& graph, const Node& node)
+        : Node(node), _graph(&graph) {}
+
+      NodeIt& operator++() {
+        _graph->next(*this);
+        return *this;
+      }
+
+    };
+
+
+    class ArcIt : public Arc {
       const Graph* _graph;
     public:
@@ -446,19 +446,19 @@
 
       explicit ArcIt(const Graph& graph) : _graph(&graph) {
-	_graph->first(static_cast<Arc&>(*this));
-      }
-
-      ArcIt(const Graph& graph, const Arc& arc) : 
-	Arc(arc), _graph(&graph) { }
-
-      ArcIt& operator++() { 
-	_graph->next(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class OutArcIt : public Arc { 
+        _graph->first(static_cast<Arc&>(*this));
+      }
+
+      ArcIt(const Graph& graph, const Arc& arc) :
+        Arc(arc), _graph(&graph) { }
+
+      ArcIt& operator++() {
+        _graph->next(*this);
+        return *this;
+      }
+
+    };
+
+
+    class OutArcIt : public Arc {
       const Graph* _graph;
     public:
@@ -468,21 +468,21 @@
       OutArcIt(Invalid i) : Arc(i) { }
 
-      OutArcIt(const Graph& graph, const Node& node) 
-	: _graph(&graph) {
-	_graph->firstOut(*this, node);
-      }
-
-      OutArcIt(const Graph& graph, const Arc& arc) 
-	: Arc(arc), _graph(&graph) {}
-
-      OutArcIt& operator++() { 
-	_graph->nextOut(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class InArcIt : public Arc { 
+      OutArcIt(const Graph& graph, const Node& node)
+        : _graph(&graph) {
+        _graph->firstOut(*this, node);
+      }
+
+      OutArcIt(const Graph& graph, const Arc& arc)
+        : Arc(arc), _graph(&graph) {}
+
+      OutArcIt& operator++() {
+        _graph->nextOut(*this);
+        return *this;
+      }
+
+    };
+
+
+    class InArcIt : public Arc {
       const Graph* _graph;
     public:
@@ -492,21 +492,21 @@
       InArcIt(Invalid i) : Arc(i) { }
 
-      InArcIt(const Graph& graph, const Node& node) 
-	: _graph(&graph) {
-	_graph->firstIn(*this, node);
-      }
-
-      InArcIt(const Graph& graph, const Arc& arc) : 
-	Arc(arc), _graph(&graph) {}
-
-      InArcIt& operator++() { 
-	_graph->nextIn(*this);
-	return *this; 
-      }
-
-    };
-
-
-    class EdgeIt : public Parent::Edge { 
+      InArcIt(const Graph& graph, const Node& node)
+        : _graph(&graph) {
+        _graph->firstIn(*this, node);
+      }
+
+      InArcIt(const Graph& graph, const Arc& arc) :
+        Arc(arc), _graph(&graph) {}
+
+      InArcIt& operator++() {
+        _graph->nextIn(*this);
+        return *this;
+      }
+
+    };
+
+
+    class EdgeIt : public Parent::Edge {
       const Graph* _graph;
     public:
@@ -517,13 +517,13 @@
 
       explicit EdgeIt(const Graph& graph) : _graph(&graph) {
-	_graph->first(static_cast<Edge&>(*this));
-      }
-
-      EdgeIt(const Graph& graph, const Edge& edge) : 
-	Edge(edge), _graph(&graph) { }
-
-      EdgeIt& operator++() { 
-	_graph->next(*this);
-	return *this; 
+        _graph->first(static_cast<Edge&>(*this));
+      }
+
+      EdgeIt(const Graph& graph, const Edge& edge) :
+        Edge(edge), _graph(&graph) { }
+
+      EdgeIt& operator++() {
+        _graph->next(*this);
+        return *this;
       }
 
@@ -541,15 +541,15 @@
 
       IncEdgeIt(const Graph& graph, const Node &node) : _graph(&graph) {
-	_graph->firstInc(*this, _direction, node);
+        _graph->firstInc(*this, _direction, node);
       }
 
       IncEdgeIt(const Graph& graph, const Edge &edge, const Node &node)
-	: _graph(&graph), Edge(edge) {
-	_direction = (_graph->source(edge) == node);
+        : _graph(&graph), Edge(edge) {
+        _direction = (_graph->source(edge) == node);
       }
 
       IncEdgeIt& operator++() {
-	_graph->nextInc(*this, _direction);
-	return *this; 
+        _graph->nextInc(*this, _direction);
+        return *this;
       }
     };
@@ -599,5 +599,5 @@
 
     template <typename _Value>
-    class NodeMap 
+    class NodeMap
       : public MapExtender<DefaultMap<Graph, Node, _Value> > {
     public:
@@ -605,11 +605,11 @@
       typedef MapExtender<DefaultMap<Graph, Node, _Value> > Parent;
 
-      NodeMap(const Graph& graph) 
-	: Parent(graph) {}
-      NodeMap(const Graph& graph, const _Value& value) 
-	: Parent(graph, value) {}
+      NodeMap(const Graph& graph)
+        : Parent(graph) {}
+      NodeMap(const Graph& graph, const _Value& value)
+        : Parent(graph, value) {}
 
       NodeMap& operator=(const NodeMap& cmap) {
-	return operator=<NodeMap>(cmap);
+        return operator=<NodeMap>(cmap);
       }
 
@@ -617,5 +617,5 @@
       NodeMap& operator=(const CMap& cmap) {
         Parent::operator=(cmap);
-	return *this;
+        return *this;
       }
 
@@ -623,5 +623,5 @@
 
     template <typename _Value>
-    class ArcMap 
+    class ArcMap
       : public MapExtender<DefaultMap<Graph, Arc, _Value> > {
     public:
@@ -629,11 +629,11 @@
       typedef MapExtender<DefaultMap<Graph, Arc, _Value> > Parent;
 
-      ArcMap(const Graph& graph) 
-	: Parent(graph) {}
-      ArcMap(const Graph& graph, const _Value& value) 
-	: Parent(graph, value) {}
+      ArcMap(const Graph& graph)
+        : Parent(graph) {}
+      ArcMap(const Graph& graph, const _Value& value)
+        : Parent(graph, value) {}
 
       ArcMap& operator=(const ArcMap& cmap) {
-	return operator=<ArcMap>(cmap);
+        return operator=<ArcMap>(cmap);
       }
 
@@ -641,5 +641,5 @@
       ArcMap& operator=(const CMap& cmap) {
         Parent::operator=(cmap);
-	return *this;
+        return *this;
       }
     };
@@ -647,5 +647,5 @@
 
     template <typename _Value>
-    class EdgeMap 
+    class EdgeMap
       : public MapExtender<DefaultMap<Graph, Edge, _Value> > {
     public:
@@ -653,12 +653,12 @@
       typedef MapExtender<DefaultMap<Graph, Edge, _Value> > Parent;
 
-      EdgeMap(const Graph& graph) 
-	: Parent(graph) {}
-
-      EdgeMap(const Graph& graph, const _Value& value) 
-	: Parent(graph, value) {}
+      EdgeMap(const Graph& graph)
+        : Parent(graph) {}
+
+      EdgeMap(const Graph& graph, const _Value& value)
+        : Parent(graph, value) {}
 
       EdgeMap& operator=(const EdgeMap& cmap) {
-	return operator=<EdgeMap>(cmap);
+        return operator=<EdgeMap>(cmap);
       }
 
@@ -666,5 +666,5 @@
       EdgeMap& operator=(const CMap& cmap) {
         Parent::operator=(cmap);
-	return *this;
+        return *this;
       }
 
@@ -684,9 +684,9 @@
       std::vector<Arc> ev;
       ev.push_back(Parent::direct(edge, true));
-      ev.push_back(Parent::direct(edge, false));      
+      ev.push_back(Parent::direct(edge, false));
       notifier(Arc()).add(ev);
       return edge;
     }
-    
+
     void clear() {
       notifier(Arc()).clear();
@@ -697,5 +697,5 @@
 
     template <typename Graph, typename NodeRefMap, typename EdgeRefMap>
-    void build(const Graph& graph, NodeRefMap& nodeRef, 
+    void build(const Graph& graph, NodeRefMap& nodeRef,
                EdgeRefMap& edgeRef) {
       Parent::build(graph, nodeRef, edgeRef);
@@ -709,12 +709,12 @@
       Parent::firstOut(arc, node);
       while (arc != INVALID ) {
-	erase(arc);
-	Parent::firstOut(arc, node);
-      } 
+        erase(arc);
+        Parent::firstOut(arc, node);
+      }
 
       Parent::firstIn(arc, node);
       while (arc != INVALID ) {
-	erase(arc);
-	Parent::firstIn(arc, node);
+        erase(arc);
+        Parent::firstIn(arc, node);
       }
 
@@ -726,5 +726,5 @@
       std::vector<Arc> av;
       av.push_back(Parent::direct(edge, true));
-      av.push_back(Parent::direct(edge, false));      
+      av.push_back(Parent::direct(edge, false));
       notifier(Arc()).erase(av);
       notifier(Edge()).erase(edge);
@@ -733,14 +733,14 @@
 
     GraphExtender() {
-      node_notifier.setContainer(*this); 
+      node_notifier.setContainer(*this);
       arc_notifier.setContainer(*this);
       edge_notifier.setContainer(*this);
-    } 
+    }
 
     ~GraphExtender() {
       edge_notifier.clear();
       arc_notifier.clear();
-      node_notifier.clear(); 
-    } 
+      node_notifier.clear();
+    }
 
   };
